A utility class containing predefined colors and methods converting between different color representations.

### Hierarchy

- Color

## Index

### Properties

- AQUA
- BLACK
- BLUE
- FUCHSIA
- GRAY
- GREEN
- LIME
- MAROON
- NAVY
- OLIVE
- PURPLE
- RED
- SILVER
- TEAL
- WHITE
- YELLOW

### Methods

- argb
- getAlpha
- getBlue
- getGreen
- getRed
- interpolate
- multiply
- rgb
- setAlpha
- setBlue
- setGreen
- setRed
- toVector

## Properties

### Static AQUA

AQUA: number

- Defined in lib/starling/utils/Color.d.ts:19

### Static BLACK

BLACK: number

- Defined in lib/starling/utils/Color.d.ts:12

### Static BLUE

BLUE: number

- Defined in lib/starling/utils/Color.d.ts:21

### Static FUCHSIA

FUCHSIA: number

- Defined in lib/starling/utils/Color.d.ts:23

### Static GRAY

GRAY: number

- Defined in lib/starling/utils/Color.d.ts:11

### Static GREEN

GREEN: number

- Defined in lib/starling/utils/Color.d.ts:18

### Static LIME

LIME: number

- Defined in lib/starling/utils/Color.d.ts:17

### Static MAROON

MAROON: number

- Defined in lib/starling/utils/Color.d.ts:14

### Static NAVY

NAVY: number

- Defined in lib/starling/utils/Color.d.ts:22

### Static OLIVE

OLIVE: number

- Defined in lib/starling/utils/Color.d.ts:16

### Static PURPLE

PURPLE: number

- Defined in lib/starling/utils/Color.d.ts:24

### Static RED

RED: number

- Defined in lib/starling/utils/Color.d.ts:13

### Static SILVER

SILVER: number

- Defined in lib/starling/utils/Color.d.ts:10

### Static TEAL

TEAL: number

- Defined in lib/starling/utils/Color.d.ts:20

### Static WHITE

WHITE: number

- Defined in lib/starling/utils/Color.d.ts:9

### Static YELLOW

YELLOW: number

- Defined in lib/starling/utils/Color.d.ts:15

## Methods

### Static argb

- argb(alpha: number, red: number, green: number, blue: number): number

- - Defined in lib/starling/utils/Color.d.ts:56

  Creates an ARGB color, stored in an unsigned integer. Channels are expected in the range 0 - 255.

  #### Parameters

  - ##### alpha: number

  - ##### red: number

  - ##### green: number

  - ##### blue: number

  #### Returns number

### Static getAlpha

- getAlpha(color: number): number

- - Defined in lib/starling/utils/Color.d.ts:27

  Returns the alpha part of an ARGB color (0 - 255).

  #### Parameters

  - ##### color: number

  #### Returns number

### Static getBlue

- getBlue(color: number): number

- - Defined in lib/starling/utils/Color.d.ts:36

  Returns the blue part of an (A)RGB color (0 - 255).

  #### Parameters

  - ##### color: number

  #### Returns number

### Static getGreen

- getGreen(color: number): number

- - Defined in lib/starling/utils/Color.d.ts:33

  Returns the green part of an (A)RGB color (0 - 255).

  #### Parameters

  - ##### color: number

  #### Returns number

### Static getRed

- getRed(color: number): number

- - Defined in lib/starling/utils/Color.d.ts:30

  Returns the red part of an (A)RGB color (0 - 255).

  #### Parameters

  - ##### color: number

  #### Returns number

### Static interpolate

- interpolate(startColor: number, endColor: number, ratio: number): number

- - Defined in lib/starling/utils/Color.d.ts:67

  Calculates a smooth transition between one color to the next. `ratio` is expected between 0 and 1.

  #### Parameters

  - ##### startColor: number

  - ##### endColor: number

  - ##### ratio: number

  #### Returns number

### Static multiply

- multiply(color: number, factor: number): number

- - Defined in lib/starling/utils/Color.d.ts:63

  Multiplies all channels of an (A)RGB color with a certain factor.

  #### Parameters

  - ##### color: number

  - ##### factor: number

  #### Returns number

### Static rgb

- rgb(red: number, green: number, blue: number): number

- - Defined in lib/starling/utils/Color.d.ts:52

  Creates an RGB color, stored in an unsigned integer. Channels are expected in the range 0 - 255.

  #### Parameters

  - ##### red: number

  - ##### green: number

  - ##### blue: number

  #### Returns number

### Static setAlpha

- setAlpha(color: number, alpha: number): number

- - Defined in lib/starling/utils/Color.d.ts:39

  Sets the alpha part of an ARGB color (0 - 255).

  #### Parameters

  - ##### color: number

  - ##### alpha: number

  #### Returns number

### Static setBlue

- setBlue(color: number, blue: number): number

- - Defined in lib/starling/utils/Color.d.ts:48

  Sets the blue part of an (A)RGB color (0 - 255).

  #### Parameters

  - ##### color: number

  - ##### blue: number

  #### Returns number

### Static setGreen

- setGreen(color: number, green: number): number

- - Defined in lib/starling/utils/Color.d.ts:45

  Sets the green part of an (A)RGB color (0 - 255).

  #### Parameters

  - ##### color: number

  - ##### green: number

  #### Returns number

### Static setRed

- setRed(color: number, red: number): number

- - Defined in lib/starling/utils/Color.d.ts:42

  Sets the red part of an (A)RGB color (0 - 255).

  #### Parameters

  - ##### color: number

  - ##### red: number

  #### Returns number

### Static toVector

- toVector(color: number, out?: Vector<number>): Vector<number>

- - Defined in lib/starling/utils/Color.d.ts:60

  Converts a color to a vector containing the RGBA components (in this order) scaled between 0 and 1.

  #### Parameters

  - ##### color: number

  - ##### Optional out: Vector<number>

  #### Returns Vector<number>

Generated using TypeDoc